<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Change Name</title>
</head>
<body>
    <div id="app">
        <input type="text" placeholder="ketikkan kata kunci" v-model="search" name="" id="">
        <ul v-for="item in arrayFilter">
             <li> {{item}} </li>
        </ul>
        
    
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
    var vm = new Vue({
        el:'#app',
        data:{
            search:'',
            books:[
                'Kalkulus Dasar',
                'Fisika Dasar',
                'Aljabar Linier Elementer',
                'Aljabar Abstrak',
                'Algoritma Pemrograman'
            ]
        },
        computed: {
            arrayFilter() {
            return this.books.filter(book => {
                return book.toLowerCase().includes(this.search.toLowerCase())}) 
            }
        }
    
    })
    </script>
    
</body>
</html>